Page MenuHomePhabricator

rack/setup pc2004-2006
Closed, ResolvedPublic

Description

This task will track the racking and setup/deployment of pc2004, pc2005, & pc2006.

  • - system received in on T121878
  • - rack systems as follows: pc2004 in B5, pc2005 in C5, & pc2006 in D5.
  • - setup mgmt dns entries for both asset tag and hostname
  • - setup/test bios/drac
  • - setup production dns entries for hostname (internal vlan/subnet for each row)
  • - note each systems rack and network port on task (@RobH or @Cmjohnson can then apply labels and vlans to them, ping one of us)
  • - update install_server for dhcp and partitioning (@Papaul: see note below on partitioning.)
  • - install OS (JESSIE)
  • - sign/accept puppet/salt keys (recall we have dual salt master at present)
  • - service implementation (this step likely handled by @jcrespo)

Partitioning Note:

We will need to create a new partman recipe for this. I (@RobH) have made a few of these, so rather than me simply modifying and slapping a new one into place, it seems like a perfect opportunity for @Papaul to work with me (or someone else) to make a partman recipe. The partitioning on these needs to be as follows. A single software raid0 of the 3 * 800GB SSD. Then on that raid0 array, place an LVM and then a 50GB ext3 /, and then fill 80% of the remaining disk in the /srv partition with XFS format. I'd call the new recipe raid0-lvm-srv.cfg.

Event Timeline

RobH created this task.Dec 18 2015, 4:53 PM
RobH claimed this task.
RobH raised the priority of this task from to Medium.
RobH updated the task description. (Show Details)
RobH added projects: ops-codfw, SRE.
RobH added subscribers: Cmjohnson, Papaul, RobH and 4 others.
RobH reassigned this task from RobH to Papaul.Dec 18 2015, 5:06 PM
RobH updated the task description. (Show Details)
RobH set Security to None.
RobH updated the task description. (Show Details)Dec 18 2015, 5:11 PM
Papaul updated the task description. (Show Details)Dec 24 2015, 7:03 PM
Papaul updated the task description. (Show Details)Dec 24 2015, 9:29 PM

pc2004 row B rack 5 10.193.2.231 ge-5/0/35
pc2005 row C rack 5 10.193.2.231 ge-5/0/3
pc2006 row D rack 5 10.193.2.231 ge-5/0/6

Papaul updated the task description. (Show Details)Dec 24 2015, 9:32 PM
RobH added a comment.Jan 5 2016, 8:26 PM

switch ports allocated and setup

Papaul updated the task description. (Show Details)Jan 11 2016, 9:08 PM
Papaul reassigned this task from Papaul to jcrespo.Jan 11 2016, 9:37 PM
Papaul updated the task description. (Show Details)

Installation complete.

Change 265473 had a related patch set uploaded (by Jcrespo):
Adding new parsercache machines (pc[12]00[4-6])

https://gerrit.wikimedia.org/r/265473

Restricted Application added a project: codfw-rollout. · View Herald TranscriptJan 21 2016, 11:35 AM

Change 265473 merged by Jcrespo:
Adding new parsercache machines (pc[12]00[4-6])

https://gerrit.wikimedia.org/r/265473

Change 265501 had a related patch set uploaded (by Jcrespo):
New parsercache servers for codfw datacenter

https://gerrit.wikimedia.org/r/265501

Change 265501 merged by Jcrespo:
New parsercache servers for codfw datacenter

https://gerrit.wikimedia.org/r/265501

jcrespo updated the task description. (Show Details)Jan 28 2016, 12:48 PM
jcrespo closed this task as Resolved.Jan 28 2016, 12:53 PM

I've implemented the service on codfw, this was trivial there as I am not importing parsercache keys yet. I do not discard doing it, but later in the quarter.

I've tested a couple of local curls and it insertion of keys work, but it requires better validation -it will be done as part of T124697.